package com.chuanxia.mcp.bean.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 自定义异常枚举类
 *
 * @author liyuntian
 */
@Getter
@AllArgsConstructor
public enum ResultStatusEnum {
    /**
     * 业务异常枚举类
     */
    PASSWORD_ERROR(501, "密码错误"),
    USERNAME_ERROR(503, "用户名不存在"),
    USERNAME_ALREXISTS(502, "当前用户名已存在");
    private Integer code;
    private String message;
}
